---
title: ServiceWorkerRegistration.navigationPreload
slug: Web/API/ServiceWorkerRegistration/navigationPreload
tags:
  - API
  - NavigationPreloadManager
  - Offline
  - Property
  - Service Workers
  - ServiceWorkerRegistration
  - Workers
---
<p>{{APIRef("Service Workers API")}}</p>

<p>The <strong><code>navigationPreload</code></strong> read-only property of the {{domxref("ServiceWorkerRegistration")}} interface returns the {{domxref("NavigationPreloadManager")}} associated with the current service worker registration.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>navigationPreloadManager</em> = <em>serviceWorkerRegistration</em>.navigationPreload;</pre>

<h3 id="Value">Value</h3>

<p>An instance of {{domxref("NavigationPreloadManager")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Service Workers','#service-worker-registration-navigationpreload','navigationPreload')}}</td>
   <td>{{Spec2('Service Workers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.ServiceWorkerRegistration.navigationPreload")}}</p>
